{% extends "base.html" %}

{% block title %}
    Audio Files
{% endblock title %}

{% block content %}
    <main>
        <div>
            <h1>My Audio Files</h1>
            <p>
                <a href="{% url "upload_audiofile" %}">Upload Audio File</a>
            </p>
            {% if files.count == 0 %}
                <p>You have no files.</p>
            {% else %}
                <div class="display">
                    {% for file in files %}
                        <a href="{{ MEDIA_URL }}{{ file.file }}">
                            <div class="listing">
                                <div class="name">{{ file.name }}</div>
                                <div class="file">{{ file.file }}</div>
                            </div>
                        </a>
                    {% endfor %}
            </div>
            {% endif %}
        </div>
    </main>
{% endblock content %}
